summaryrefslogtreecommitdiff
path: root/dev-libs/jsoncpp/jsoncpp-1.9.1.ebuild
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-libs/jsoncpp/jsoncpp-1.9.1.ebuild
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-libs/jsoncpp/jsoncpp-1.9.1.ebuild')
-rw-r--r--dev-libs/jsoncpp/jsoncpp-1.9.1.ebuild67
1 files changed, 67 insertions, 0 deletions
diff --git a/dev-libs/jsoncpp/jsoncpp-1.9.1.ebuild b/dev-libs/jsoncpp/jsoncpp-1.9.1.ebuild
new file mode 100644
index 000000000000..49dd145bbeaa
--- /dev/null
+++ b/dev-libs/jsoncpp/jsoncpp-1.9.1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit cmake python-any-r1
+
+DESCRIPTION="C++ JSON reader and writer"
+HOMEPAGE="https://github.com/open-source-parsers/jsoncpp"
+SRC_URI="https://github.com/open-source-parsers/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="|| ( public-domain MIT )"
+SLOT="0/21"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 s390 sparc x86"
+IUSE="doc test"
+
+DEPEND="
+ doc? (
+ app-doc/doxygen
+ ${PYTHON_DEPS}
+ )
+ test? (
+ ${PYTHON_DEPS}
+ )"
+RDEPEND=""
+
+RESTRICT="!test? ( test )"
+
+pkg_setup() {
+ if use doc || use test; then
+ python-any-r1_pkg_setup
+ fi
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DJSONCPP_WITH_TESTS=$(usex test)
+ -DJSONCPP_WITH_POST_BUILD_UNITTEST=OFF
+ -DJSONCPP_WITH_CMAKE_PACKAGE=ON
+
+ -DBUILD_SHARED_LIBS=ON
+
+ # Follow Debian, Ubuntu, Arch convention for headers location
+ # bug #452234
+ -DCMAKE_INSTALL_INCLUDEDIR=include/jsoncpp
+
+ # Disable implicit ccache use
+ -DCCACHE_FOUND=OFF
+ )
+ cmake_src_configure
+}
+
+src_compile() {
+ cmake_src_compile
+
+ if use doc; then
+ cp "${BUILD_DIR}"/version . || die
+ "${EPYTHON}" doxybuild.py --doxygen="${EPREFIX}"/usr/bin/doxygen || die
+ HTML_DOCS=( dist/doxygen/jsoncpp*/. )
+ fi
+}
+
+src_test() {
+ cmake_build jsoncpp_check
+}